# List

Launch stage: GA

`GET /api/2.0/{parent=cluster-policies/*}/revisions`

Lists a cluster policy's revisions, ordered from most to least recent.

API scopes: clusters

## Path parameters

- `parent` (string, optional)
  The fully qualified resource name of the parent cluster.
   Format: cluster-policies/{policy_id}.

## Query parameters

- `page_size` (int32, optional)
  Maximum number of cluster policy revisions to return per page.
  Default: `20`
  Constraints: `[ 1 .. 100 ]`
- `page_token` (string, optional)
  Pagination token from a previous list cluster policy revisions request.

## Returns

Returns a list of ClusterPolicyRevision objects.

## Response

```json
{
  "cluster_policy_revisions": [
    {
      "revision_id": "string",
      "create_time": "string",
      "settings": {},
      "edit_user": "string",
      "is_current": true
    }
  ],
  "next_page_token": "string"
}
```

